<?php
$options=$this->getOptionarray($name);
if(!$options){
    echo "Pas de options en array";
    $messages['error'][]="Problème avec les options array de ".$name;
    $options=array(); // eviter une erreur
}
foreach($options as $k => $v){
?>
<div class="mb-1">
    <input type="radio" id="radio_<?= $name ?>_<?= $k ?>" name="<?= $name ?>" value="<?= $k ?>" <?php if($k==$field->value){ echo "checked"; } ?>><label for="radio_<?= $name ?>_<?= $k ?>" style="display:inline"><?= $v ?></label>
</div>
<?php
                             }
